## haskell-quickcheck-classes-base 0.6.2.0

=== debian/changelog ===
haskell-quickcheck-classes-base (0.6.2.0-5) unstable; urgency=medium

  * Declare compliance with Debian policy 4.7.0
  * Sourceful upload for GHC 9.6

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Thu, 19 Sep 2024 10:40:52 +0300

haskell-quickcheck-classes-base (0.6.2.0-4) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Declare compliance with Debian policy 4.6.1

  [ Jelmer Vernooĳ ]
  * Add package path in Vcs-Git header.

  [ Ilias Tsitsimpis ]
  * Declare compliance with Debian policy 4.6.2
  * Sourceful upload for GHC 9.4

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sat, 02 Sep 2023 16:26:09 +0300

haskell-quickcheck-classes-base (0.6.2.0-3) unstable; urgency=medium

  * Sourceful upload for GHC 9.0.2

 -- Scott Talbert <swt@techie.net>  Mon, 20 Jun 2022 15:05:25 -0400

haskell-quickcheck-classes-base (0.6.2.0-2) unstable; urgency=medium

  * Enable tests (gratuitous post-NEW source-only upload)

 -- Scott Talbert <swt@techie.net>  Mon, 25 Apr 2022 15:36:59 -0400

haskell-quickcheck-classes-base (0.6.2.0-1) unstable; urgency=low

  * Initial release

 -- Scott Talbert <swt@techie.net>  Thu, 21 Apr 2022 20:50:56 -0400
